/* La creacin del usuario debe realizarse desde un usuario DBA */

CONNECT SYSTEM/XXXX@NORTE;

CREATE USER userNorte IDENTIFIED BY userNorte
 DEFAULT TABLESPACE USERS QUOTA UNLIMITED ON USERS
 TEMPORARY TABLESPACE TEMP;

GRANT
 CREATE TYPE, CREATE VIEW,CREATE TABLE,ALTER SESSION,
 CREATE SESSION,CREATE SYNONYM,CREATE TRIGGER,CREATE SEQUENCE,
 CREATE PROCEDURE, CREATE PUBLIC DATABASE LINK,
 CREATE MATERIALIZED VIEW 
TO userNorte;

CONNECT SYSTEM/XXXX@CENTRO;

CREATE USER userCentro IDENTIFIED BY userCentro
 DEFAULT TABLESPACE USERS QUOTA UNLIMITED ON USERS
 TEMPORARY TABLESPACE TEMP;

GRANT
 CREATE TYPE, CREATE VIEW,CREATE TABLE,ALTER SESSION,
 CREATE SESSION,CREATE SYNONYM,CREATE TRIGGER,CREATE SEQUENCE,
 CREATE PROCEDURE, CREATE PUBLIC DATABASE LINK,
 CREATE MATERIALIZED VIEW 
TO userCentro;

CONNECT SYSTEM/XXXX@SUR;

CREATE USER userSur IDENTIFIED BY userSur
 DEFAULT TABLESPACE USERS QUOTA UNLIMITED ON USERS
 TEMPORARY TABLESPACE TEMP;

GRANT
 CREATE TYPE, CREATE VIEW,CREATE TABLE,ALTER SESSION,
 CREATE SESSION,CREATE SYNONYM,CREATE TRIGGER,CREATE SEQUENCE,
 CREATE PROCEDURE, CREATE PUBLIC DATABASE LINK,
 CREATE MATERIALIZED VIEW 
TO userSur;

CONNECT userNorte/userNorte@NORTE;

CREATE PUBLIC DATABASE LINK TO_CENTRO
CONNECT TO userCentro IDENTIFIED BY userCentro 
USING 'CENTRO';
COMMIT;

CREATE PUBLIC DATABASE LINK TO_SUR
CONNECT TO userSur IDENTIFIED BY userSur 
USING 'SUR';
COMMIT;

CONNECT userCentro/userCentro@CENTRO;

CREATE PUBLIC DATABASE LINK TO_NORTE
CONNECT TO userNorte IDENTIFIED BY userNorte 
USING 'NORTE';
COMMIT;

CREATE PUBLIC DATABASE LINK TO_SUR
CONNECT TO userSur IDENTIFIED BY userSur 
USING 'SUR';
COMMIT;

CONNECT userSur/userSur@SUR;

CREATE PUBLIC DATABASE LINK TO_NORTE
CONNECT TO userNorte IDENTIFIED BY userNorte 
USING 'NORTE';
COMMIT;
