CONNECT userCentro/userCentro@CENTRO;

ALTER TABLE CLIENTES ADD CHECK (Sede='Centro');

ALTER TABLE DISTRIBUYE ADD CHECK (Sede='Centro');

CREATE MATERIALIZED VIEW V_SEDES
REFRESH FORCE START WITH SYSDATE
NEXT SYSDATE + 1
AS SELECT * FROM SEDES@TO_NORTE; 

CREATE OR REPLACE TRIGGER TG_PRODUCTOS_FIN
BEFORE INSERT OR UPDATE OR DELETE ON PRODUCTOS_FIN
FOR EACH ROW
BEGIN
 IF INSERTING THEN
  INSERT INTO PRODUCTOS_FIN@TO_NORTE VALUES
    (:New.Codigo,:New.FacturacionTotal,:New.BeneficiosTotal,
  :New.FacturacionMediaMensual,:New.BeneficiosMediaMensual);   
INSERT INTO PRODUCTOS_FIN@TO_SUR VALUES
    (:New.Codigo,:New.FacturacionTotal,:New.BeneficiosTotal,
  :New.FacturacionMediaMensual,:New.BeneficiosMediaMensual); 
END IF;
 IF UPDATING THEN
  UPDATE PRODUCTOS_FIN@TO_NORTE A SET
  Codigo=:New.Codigo,FacturacionTotal =:New.FacturacionTotal,
  BeneficiosTotal =:New.BeneficiosTotal,
  FacturacionMediaMensual =:New.FacturacionMediaMensual,
  BeneficiosMediaMensual =:New.BeneficiosMediaMensual 
  WHERE A.Codigo = :New.Codigo;
  UPDATE PRODUCTOS_FIN@TO_SUR A SET
  Codigo=:New.Codigo,FacturacionTotal =:New.FacturacionTotal,
  BeneficiosTotal =:New.BeneficiosTotal,
  FacturacionMediaMensual =:New.FacturacionMediaMensual,  
  BeneficiosMediaMensual =:New.BeneficiosMediaMensual 
  WHERE A.Codigo = :New.Codigo;
END IF;
 IF DELETING THEN
  DELETE PRODUCTOS_FIN@TO_NORTE A
  WHERE A.Codigo = :Old.Codigo;
  DELETE PRODUCTOS_FIN@TO_SUR A
  WHERE A.Codigo = :Old.Codigo;
END IF;
END;
/
